PMDAROOT(1)

NAME
pmdaroot - a privileged PMCD helper performance metrics domain agent

SYNOPSIS
$PCP_PMDAS_DIR/root/pmdaroot [-d domain] [-l logfile] [-s sockname]

DESCRIPTION
pmdaroot is a special Performance Metrics Domain Agent (PMDA) which cooperates closely with pmcd(1) and other PMDAs to provide limited privileged services to these unprivileged processes.

In this role it is used to discover operating system containers running on the local host. It also enables access to performance data from within those containers by other PMDAs running on the bare-metal host, using the pmdaRootConnect(3) and the associated namespace interfaces.

Like all other PMDAs, it also exports performance metrics from the domain it controls. Currently, this is limited to information about the containers on the local system; currently Docker and LXC containers can be detected.

If a non-default Docker parent-cgroup name is being used, this value can be indicated to pmdaroot through addition of a $PCP_SYSTEMD_CGROUP variable in /etc/pcp.conf.

-d  It is absolutely crucial that the performance metrics domain number specified here is unique and consistent. That is, domain should be different for every PMDA on the one host, and the same domain number should be used for the same PMDA on all hosts.

-l  Location of the log file. By default, a log file named root.log is written in the current directory of pmcd(1) when pmdaroot is started, i.e. $PCP_LOG_DIR/pmcd. If the log file cannot be created or is not writable, output is written to the standard error instead.

-s  Location of the unix(7) domain socket for communication with clients seeking privileged operations. By default, a socket file named $PCP_TMP_DIR/pmcd/root.socket is used.

INSTALLATION
Access to the names, help text and values for the kernel performance metrics is available by default - unlike most other agents, no action is required to enable them and they should not be removed.

FILES
$PCP_PMDAS_DIR/root/help
    default help text file for metrics exported by the root PMDA.
$PCP_LOG_DIR/pmcd/root.log
    default log file for error messages and other information from the root PMDA.
$PCP_VAR_DIR/pmcd/root.socket
    default socket file for communication with root PMDA clients.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmcd(1), PMDA(3), pmdaRootConnect(3), pcp.conf(5) and unix(7).